Subject: Re: [PATCH 14/14] arm/include/asm/io.h : added macros to read/write big/little endian register

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 06 Sep 2011 03:16:59 +1000

On Mon, 2011-09-05 at 16:28 +0200, Sebastian Andrzej Siewior wrote:
> * Benjamin Herrenschmidt | 2011-09-02 21:01:43 [+1000]:
> 
> >or better, switch to the newer iomap variants which should be
> >provided in both endianness.
> 
> I know some ppc-mmu provide the capability to perform the endian swap
> during page access. I wasn't aware that there is a kernel wide interface
> for this. What do you do on architectures which don't provide this?

Oh we don't provide a kernel interface for it, well not "officially",
that's not what I meant by using iomap.

You -can- use the platform specific _PAGE_ENDIAN to ioremap_flags() but
that's very platform specific and it's up to you to know you're doing it
on a CPU that supports it :-)

Cheers,
Ben.